// file: $isip_ifc/class/stat/RelevanceVectorModel/rvm_00.cc
// version: $Id: rvm_00.cc 10423 2006-02-09 00:52:30Z raghavan $
//

// there is no source code in this file
//

// isip include files
//
#include "RelevanceVectorModel.h"

// there is no source code in this file
//

//-----------------------------------------------------------------------------
//
// we define non-integral constants in the default constructor
//
//-----------------------------------------------------------------------------

// constants: required constants such as the class name
//
const String RelevanceVectorModel::CLASS_NAME(L"RelevanceVectorModel");

// constants: i/o related constants
//
const String RelevanceVectorModel::DEF_PARAM(L"");
const String RelevanceVectorModel::PARAM_ALGORITHM(L"algorithm");
const String RelevanceVectorModel::PARAM_IMPLEMENTATION(L"implementation");
const String RelevanceVectorModel::PARAM_BIAS(L"bias");
const String RelevanceVectorModel::PARAM_WEIGHTS(L"weights");
const String RelevanceVectorModel::PARAM_INV_HESSIAN(L"inv_hessian");
const String RelevanceVectorModel::PARAM_TARGETS(L"targets");
const String RelevanceVectorModel::PARAM_VECTORS(L"vectors");
const String RelevanceVectorModel::PARAM_KERNELS(L"kernels");
const String RelevanceVectorModel::DEF_COMMENT_TAG(L"#");

// constants: NameMap(s) for the enumerated values
//
const NameMap RelevanceVectorModel::ALGO_MAP(L"SINGLE_KERNEL, MULTIPLE_KERNEL");
const NameMap RelevanceVectorModel::IMPL_MAP(L"LOGISTIC_SIGMOID_LINK");

// static instantiations: memory manager and a permanent scratch space
//
MemoryManager RelevanceVectorModel::mgr_d(sizeof(RelevanceVectorModel),
					RelevanceVectorModel::CLASS_NAME);
